
package com.lideeyunji.core.framework.service;

import com.lideeyunji.core.framework.entity.FormButtonEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * button增强相关
 */
public interface IFormButtonService extends IService<FormButtonEntity> {

    List<FormButtonEntity> getSlectList(Long dbFormId);

    //获取按钮增强列表
    List<FormButtonEntity> getButtonList(Long dbFormId);

    //复制
    void copy(Long sourceFormIdId,Long targetFormIdId);

    //批量删除
    void removeByIds(List<Long> ids);
}
